summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2018-05-18 23:34:24 +0200
committerMartin Väth <martin@mvath.de>2018-05-19 00:10:20 +0200
commit70767851f631c3ced1628fb26218153ca498fb05 (patch)
tree4e540a532832a0bcbb28c684ee784d3d0b74860f
parentapp-shells/schily-tools: Version bump. Remove -fno-strict-overflow (diff)
downloadmv-70767851f631c3ced1628fb26218153ca498fb05.tar.gz
mv-70767851f631c3ced1628fb26218153ca498fb05.tar.bz2
mv-70767851f631c3ced1628fb26218153ca498fb05.zip
app-schells/schily-tools covers now app-cdr/cdrtools app-arch/star
-rw-r--r--app-cdr/cdrtools/Manifest1
-rw-r--r--app-cdr/cdrtools/cdrtools-3.02_alpha09-r1.ebuild277
-rw-r--r--app-cdr/cdrtools/cdrtools-99999999.ebuild16
-rw-r--r--app-cdr/cdrtools/metadata.xml5
-rw-r--r--app-shells/schily-tools/Manifest1
-rw-r--r--app-shells/schily-tools/files/cdrtools-fix-clone-uclibc.patch (renamed from app-cdr/cdrtools/files/cdrtools-fix-clone-uclibc.patch)0
-rw-r--r--app-shells/schily-tools/metadata.xml12
-rw-r--r--app-shells/schily-tools/schily-tools-2017.09.25.ebuild410
-rw-r--r--app-shells/schily-tools/schily-tools-2018.05.17.ebuild183
-rw-r--r--app-text/lesspipe/lesspipe-1.83-r2.ebuild (renamed from app-text/lesspipe/lesspipe-1.83-r1.ebuild)2
-rw-r--r--app-text/lesspipe/lesspipe-1.84_alpha20180414-r2.ebuild (renamed from app-text/lesspipe/lesspipe-1.84_alpha20180414-r1.ebuild)2
-rw-r--r--app-text/lesspipe/lesspipe-99999999.ebuild2
-rw-r--r--metadata/pkg_desc_index7
-rw-r--r--profiles/use.local.desc5
-rw-r--r--virtual/cdrtools/cdrtools-1.ebuild10
-rw-r--r--virtual/cdrtools/metadata.xml8
16 files changed, 181 insertions, 760 deletions
diff --git a/app-cdr/cdrtools/Manifest b/app-cdr/cdrtools/Manifest
deleted file mode 100644
index e36b8e5f..00000000
--- a/app-cdr/cdrtools/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST cdrtools-3.02a09.tar.bz2 2156745 SHA512 59c31186f163c7aaa96083efeb0bc31e697c5d53d3343ec487eddd90dc8df6cfee50a69859a64a7004585c73a081cc453cc647c563b32ef74070d075039342d4
diff --git a/app-cdr/cdrtools/cdrtools-3.02_alpha09-r1.ebuild b/app-cdr/cdrtools/cdrtools-3.02_alpha09-r1.ebuild
deleted file mode 100644
index 88d3aa99..00000000
--- a/app-cdr/cdrtools/cdrtools-3.02_alpha09-r1.ebuild
+++ /dev/null
@@ -1,277 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit fcaps multilib toolchain-funcs flag-o-matic gnuconfig
-
-MY_P="${P/_alpha/a}"
-
-DESCRIPTION="A set of tools for CD/DVD reading and recording, including cdrecord"
-HOMEPAGE="https://sourceforge.net/projects/cdrtools/"
-SRC_URI="mirror://sourceforge/${PN}/$([[ -z ${PV/*_alpha*} ]] && echo 'alpha')/${MY_P}.tar.bz2"
-
-LICENSE="GPL-2 LGPL-2.1 CDDL-Schily"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
-IUSE="acl caps nls schily-tools unicode"
-
-RDEPEND="acl? ( virtual/acl )
- caps? ( sys-libs/libcap )
- nls? ( virtual/libintl )
- schily-tools? ( >=app-shells/schily-tools-2018.04.17[-system-libschily(-)] )"
-BDEPEND="x11-misc/makedepend
- nls? ( >=sys-devel/gettext-0.18.1.1 )"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/${P/_alpha[0-9][0-9]}
-
-FILECAPS=(
- cap_sys_resource,cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_ipc_lock,cap_sys_rawio+ep usr/bin/cdrecord --
- cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_sys_rawio+ep usr/bin/cdda2wav --
- cap_dac_override,cap_sys_admin,cap_net_bind_service,cap_sys_rawio+ep usr/bin/readcd
-)
-
-cdrtools_os() {
- local os="linux"
- [[ ${CHOST} == *-darwin* ]] && os="mac-os10"
- [[ ${CHOST} == *-freebsd* ]] && os="freebsd"
- echo "${os}"
-}
-
-src_prepare() {
- default
-
- gnuconfig_update
-
- # This fixes a clash with clone() on uclibc. Upstream isn't
- # going to include this so let's try to carry it forward.
- # Contact me if it needs updating. Bug #486782.
- # Anthony G. Basile <blueness@gentoo.org>.
- use elibc_uclibc && epatch "${FILESDIR}"/${PN}-fix-clone-uclibc.patch
-
- # Remove profiled make files.
- find -name '*_p.mk' -delete || die "delete *_p.mk"
-
- # Adjusting hardcoded paths.
- sed -i -e "s|opt/schily|usr|" \
- $(find ./ -type f -name \*.[0-9ch] -exec grep -l 'opt/schily' '{}' '+') \
- || die "sed opt/schily"
-
- sed -i -e "s|\(^INSDIR=\t\tshare/doc/\)|\1${PF}/|" \
- $(find ./ -type f -exec grep -l '^INSDIR.\+doc' '{}' '+') \
- || die "sed doc"
-
- # Respect libdir.
- sed -i -e "s|\(^INSDIR=\t\t\)lib|\1$(get_libdir)|" \
- $(find ./ -type f -exec grep -l '^INSDIR.\+lib\(/siconv\)\?$' '{}' '+') \
- || die "sed multilib"
-
- # Do not install static libraries.
- sed -i -e "s|include\t\t.*rules.lib||" \
- $(find ./ -type f -exec grep -l '^include.\+rules\.lib' '{}' '+') \
- || die "sed rules"
-
- # Enable verbose build.
- sed -i -e '/@echo.*==>.*;/s:@echo[^;]*;:&set -x;:' \
- RULES/*.rul RULES/rules.prg RULES/rules.inc \
- || die "sed verbose rules"
-
- # Respect CC/CXX variables.
- cd "${S}"/RULES || die
- local tcCC=$(tc-getCC)
- local tcCXX=$(tc-getCXX)
- sed -i -e "/cc-config.sh/s|\$(C_ARCH:%64=%) \$(CCOM_DEF)|${tcCC} ${tcCC}|" \
- rules1.top || die "sed rules1.top"
- sed -i -e "/^CC_COM_DEF=/s|gcc|${tcCC}|" \
- -e "/^CC++_COM_DEF=/s|g++|${tcCXX}|" \
- -e "/COPTOPT=/s|-O||" \
- -e 's|$(GCCOPTOPT)||' \
- cc-gcc.rul || die "sed cc-gcc.rul"
- sed -i -e "s|^#\(CONFFLAGS +=\).*|\1\t-cc=${tcCC}|" \
- rules.cnf || die "sed rules.cnf"
-
- # Schily make setup.
- cd "${S}"/DEFAULTS || die
- local os=$(cdrtools_os)
-
- sed -i \
- -e "s|^\(DEFLINKMODE=\).*|\1\tdynamic|" \
- -e "s|^\(LINUX_INCL_PATH=\).*|\1|" \
- -e "s|^\(LDPATH=\).*|\1|" \
- -e "s|^\(RUNPATH=\).*|\1|" \
- -e "s|^\(INS_BASE=\).*|\1\t${ED}/usr|" \
- -e "s|^\(INS_RBASE=\).*|\1\t${ED}|" \
- -e "s|^\(DEFINSGRP=\).*|\1\t0|" \
- -e '/^DEFUMASK/s,002,022,g' \
- Defaults.${os} || die "sed Schily make setup"
- # re DEFUMASK above:
- # bug 486680: grsec TPE will block the exec if the directory is
- # group-writable. This is painful with cdrtools, because it makes a bunch of
- # group-writable directories during build. Change the umask on their
- # creation to prevent this.
-}
-
-ac_cv_sizeof() {
- cat <<-EOF >"${T}"/test.c
- #include <inttypes.h>
- #include <stddef.h>
- #include <stdint.h>
- #include <sys/types.h>
- int main () {
- static int test_array [1 - 2 * !((sizeof(TYPE)) == LEN)];
- test_array [0] = 0;
- return test_array [0];
- }
- EOF
-
- local i=1
- while [[ ${i} -lt 20 ]] ; do
- if ${CC} ${CPPFLAGS} ${CFLAGS} -c "${T}"/test.c -o /dev/null -DTYPE="$1" -DLEN=$i 2>/dev/null; then
- echo ${i}
- return 0
- fi
- : $(( i += 1 ))
- done
- return 1
-}
-
-src_configure() {
- use acl || export ac_cv_header_sys_acl_h="no"
- use caps || export ac_cv_lib_cap_cap_get_proc="no"
- export ac_cv_header_pulse_pulseaudio_h="no"
-
- # skip obsolete configure script
- if tc-is-cross-compiler ; then
- # Cache known values for targets. #486680
-
- tc-export CC
- local var val t types=(
- char "short int" int "long int" "long long"
- "unsigned char" "unsigned short int" "unsigned int"
- "unsigned long int" "unsigned long long"
- float double "long double" size_t ssize_t ptrdiff_t
- mode_t uid_t gid_t pid_t dev_t time_t wchar_t
- "char *" "unsigned char *"
- )
- for t in "${types[@]}" ; do
- var="ac_cv_sizeof_${t// /_}"
- var=${var//[*]/p}
- val=$(ac_cv_sizeof "${t}") || die "could not compute ${t}"
- export "${var}=${val}"
- einfo "Computing sizeof(${t}) as ${val}"
- done
- # We don't have these types.
- export ac_cv_sizeof___int64=0
- export ac_cv_sizeof_unsigned___int64=0
- export ac_cv_sizeof_major_t=${ac_cv_sizeof_dev_t}
- export ac_cv_sizeof_minor_t=${ac_cv_sizeof_dev_t}
- export ac_cv_sizeof_wchar=${ac_cv_sizeof_wchar_t}
-
- export ac_cv_type_prototypes="yes"
- export ac_cv_func_mlock{,all}="yes"
- export ac_cv_func_{e,f,g}cvt=$(usex elibc_glibc)
- export ac_cv_func_dtoa_r="no"
- export ac_cv_func_sys_siglist{,_def}="no"
- export ac_cv_func_printf_{j,ll}="yes"
- export ac_cv_realloc_null="yes"
- export ac_cv_no_user_malloc="no"
- export ac_cv_var_timezone="yes"
- export ac_cv_var___progname{,_full}="yes"
- export ac_cv_fnmatch_igncase="yes"
- export ac_cv_file__dev_{fd_{0,1,2},null,std{err,in,out},tty,zero}="yes"
- export ac_cv_file__usr_src_linux_include="no"
-
- case $(cdrtools_os) in
- linux)
- export ac_cv_func_bsd_{g,s}etpgrp="no"
- export ac_cv_hard_symlinks="yes"
- export ac_cv_link_nofollow="yes"
- export ac_cv_access_e_ok="no"
-
- export ac_cv_dev_minor_noncontig="yes"
- case ${ac_cv_sizeof_long_int} in
- 4) export ac_cv_dev_minor_bits="32";;
- 8) export ac_cv_dev_minor_bits="44";;
- esac
-
- cat <<-EOF >"${T}"/test.c
- struct {
- char start[6];
- unsigned char x1:4;
- unsigned char x2:4;
- char end[5];
- } a = {
- .start = {'S', 't', 'A', 'r', 'T', '_'},
- .x1 = 5,
- .x2 = 4,
- .end = {'_', 'e', 'N', 'd', 'X'},
- };
- EOF
- ${CC} ${CPPFLAGS} ${CFLAGS} -c "${T}"/test.c -o "${T}"/test.o
- if grep -q 'StArT_E_eNdX' "${T}"/test.o ; then
- export ac_cv_c_bitfields_htol="no"
- elif grep -q 'StArT_T_eNdX' "${T}"/test.o ; then
- export ac_cv_c_bitfields_htol="yes"
- fi
- ;;
- esac
- fi
-}
-
-src_compile() {
- if use unicode; then
- local flags="$(test-flags -finput-charset=ISO-8859-1 -fexec-charset=UTF-8)"
- if [[ -n ${flags} ]]; then
- append-flags ${flags}
- else
- ewarn "Your compiler does not support the options required to build"
- ewarn "cdrtools with unicode in USE. unicode flag will be ignored."
- fi
- fi
-
- # If not built with -j1, "sometimes" cdda2wav will not be built.
- emake -j1 CPPOPTX="${CPPFLAGS}" COPTX="${CFLAGS}" C++OPTX="${CXXFLAGS}" \
- LDOPTX="${LDFLAGS}" GMAKE_NOWARN="true"
-}
-
-src_install() {
- # If not built with -j1, "sometimes" manpages are not installed.
- emake -j1 CPPOPTX="${CPPFLAGS}" COPTX="${CFLAGS}" C++OPTX="${CXXFLAGS}" \
- LDOPTX="${LDFLAGS}" GMAKE_NOWARN="true" install
-
- # These symlinks are for compat with cdrkit.
- dosym schily /usr/include/scsilib
- dosym ../scg /usr/include/schily/scg
-
- dodoc ABOUT Changelog* CONTRIBUTING PORTING README.linux-shm READMEs/README.linux
-
- cd "${S}"/cdda2wav || die
- docinto cdda2wav
- dodoc Changelog FAQ Frontends HOWTOUSE NEEDED README THANKS TODO
-
- cd "${S}"/mkisofs || die
- docinto mkisofs
- dodoc ChangeLog* TODO
-
- # Remove man pages related to the build system
- rm -rvf "${ED}"/usr/share/man/man5 || die
- if use schily-tools
- then rm -rvf "${ED}"/usr/$(get_libdir)/libschily* || die
- rm -rvf "${ED}"/usr/$(get_libdir)/libmdigest* || die
- fi
-}
-
-pkg_postinst() {
- fcaps_pkg_postinst
-
- if [[ ${CHOST} == *-darwin* ]] ; then
- einfo
- einfo "Darwin/OS X use the following device names:"
- einfo
- einfo "CD burners: (probably) ./cdrecord dev=IOCompactDiscServices"
- einfo
- einfo "DVD burners: (probably) ./cdrecord dev=IODVDServices"
- einfo
- fi
-}
diff --git a/app-cdr/cdrtools/cdrtools-99999999.ebuild b/app-cdr/cdrtools/cdrtools-99999999.ebuild
new file mode 100644
index 00000000..beec078d
--- /dev/null
+++ b/app-cdr/cdrtools/cdrtools-99999999.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A set of tools for CD/DVD reading and recording, including cdrecord"
+HOMEPAGE="https://sourceforge.net/projects/cdrtools/"
+SRC_URI=""
+
+LICENSE="GPL-2 LGPL-2.1 CDDL-Schily"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="schily-tools"
+REQUIRED_USE="schily-tools"
+
+RDEPEND="app-shells/schily-tools[schilytools_cdrtools]"
diff --git a/app-cdr/cdrtools/metadata.xml b/app-cdr/cdrtools/metadata.xml
index 65a11963..82226e20 100644
--- a/app-cdr/cdrtools/metadata.xml
+++ b/app-cdr/cdrtools/metadata.xml
@@ -4,11 +4,6 @@
<maintainer type="person">
<email>martin@mvath.de</email>
<name>Martin Väth</name>
- <description>maintainer of the updates in the mv overlay</description>
- </maintainer>
- <maintainer type="person">
- <email>billie@gentoo.org</email>
- <name>Daniel Pielmeier</name>
</maintainer>
<upstream>
<maintainer>
diff --git a/app-shells/schily-tools/Manifest b/app-shells/schily-tools/Manifest
index 09005251..ae8ba65a 100644
--- a/app-shells/schily-tools/Manifest
+++ b/app-shells/schily-tools/Manifest
@@ -1,2 +1 @@
-DIST schily-2017-09-25.tar.bz2 4182173 SHA512 79b532f2ed0332f69edbd2dbe83e4acfdff5b4cfc0f8ade341ee0289375d824e3ad19816e3fc25ef3a108ffa8b9437000bd55f68c41bb187d45455c573fc316a
DIST schily-2018-05-17.tar.bz2 4225794 SHA512 1fcb45a567a5af4725ad554fd33a3940a844abf444b3c3d7817aaf7e1e8e290ac70f33975388fadc075cdd55f5aa4cc30fd70dcab5604a8e596b674fa4f60d39
diff --git a/app-cdr/cdrtools/files/cdrtools-fix-clone-uclibc.patch b/app-shells/schily-tools/files/cdrtools-fix-clone-uclibc.patch
index 9ffd28a5..9ffd28a5 100644
--- a/app-cdr/cdrtools/files/cdrtools-fix-clone-uclibc.patch
+++ b/app-shells/schily-tools/files/cdrtools-fix-clone-uclibc.patch
diff --git a/app-shells/schily-tools/metadata.xml b/app-shells/schily-tools/metadata.xml
index c553ee01..9cc0de4e 100644
--- a/app-shells/schily-tools/metadata.xml
+++ b/app-shells/schily-tools/metadata.xml
@@ -5,6 +5,13 @@
<email>martin@mvath.de</email>
<name>Martin Väth</name>
</maintainer>
+ <upstream>
+ <maintainer>
+ <email>joerg.schilling@fokus.fraunhofer.de</email>
+ <name>Jörg Schilling</name>
+ </maintainer>
+ <remote-id type="sourceforge">schilytools</remote-id>
+ </upstream>
<use>
<flag name="renameschily_calc">Rename calc to scalc for compatibility with sci-mathematics/calc</flag>
<flag name="renameschily_compare">Rename compare to scompare for compatibility with imagemagick</flag>
@@ -16,6 +23,7 @@
<flag name="schilytools_bosh">Install bosh, a shell which aims to be fully POSIX compatible</flag>
<flag name="schilytools_calc">Install calc, a bc clone</flag>
<flag name="schilytools_calltree">Install calltree, a cflow clone</flag>
+ <flag name="schilytools_cdrtools">Install programs provided by app-cdr/cdrtools</flag>
<flag name="schilytools_change">Install change, a program to change patterns in files</flag>
<flag name="schilytools_compare">Install compare, a cmp clone</flag>
<flag name="schilytools_copy">Install copy, a cp clone</flag>
@@ -39,11 +47,11 @@
<flag name="schilytools_sccs">Install sfind, a source code control system</flag>
<flag name="schilytools_sfind">Install sfind, a find clone</flag>
<flag name="schilytools_smake">Install smake, a make clone</flag>
+ <flag name="schilytools_star">Install programs provided by app-arch/star</flag>
<flag name="schilytools_termcap">Install termcap, a termcap compiler</flag>
<flag name="schilytools_translit">Install translit, a tr clone</flag>
<flag name="schilytools_udiff">Install udiff, a diff clone</flag>
<flag name="schilytools_ved">Install ved, a visual editor with features from vi and emacs</flag>
- <flag name="system-libschily">Rely on app-cdr/cdrtools for providing libschily</flag>
- <flag name="system-star">Rely on app-arch/star for the match manpage</flag>
+ <flag name="suid">Install rscsi as SUID root</flag>
</use>
</pkgmetadata>
diff --git a/app-shells/schily-tools/schily-tools-2017.09.25.ebuild b/app-shells/schily-tools/schily-tools-2017.09.25.ebuild
deleted file mode 100644
index 09a41596..00000000
--- a/app-shells/schily-tools/schily-tools-2017.09.25.ebuild
+++ /dev/null
@@ -1,410 +0,0 @@
-# Copyright 2016-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-RESTRICT="mirror"
-inherit flag-o-matic gnuconfig required-use-warn toolchain-funcs
-
-MY_PV=${PV//./-}
-MY_P="schily-${MY_PV}"
-MY_P_TAR="${MY_P}.tar.bz2"
-S=${WORKDIR}/${MY_P}
-
-SRC_URI="mirror://sourceforge/schilytools/${MY_P}.tar.bz2"
-DESCRIPTION="Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell"
-HOMEPAGE="https://sourceforge.net/projects/schilytools/"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
-IUSE="acl caps doc system-libschily system-star xattr"
-REQUIRED_USE_WARN="amd64-fbsd? ( !xattr )"
-
-add_iuse_expand() {
- local i j
- j=${1}
- shift
- for i
- do case ${i} in
- +*)
- IUSE=${IUSE}" +${j}_${i#?}";;
- *)
- IUSE=${IUSE}" ${j}_${i}";;
- esac
- done
-}
-add_iuse_expand renameschily \
- +calc +compare +count +jsh +man2html +p
-add_iuse_expand schilytools \
- +bosh +calc +calltree +change +compare +copy +count +cpp +cstyle +cut \
- +hdump label +lndir +man2html manmake +match +mdigest mountcd osh \
- +p +paste +patch pxupgrade +sccs +sfind +smake \
- +termcap +translit +udiff +ved
-
-COMMON="system-libschily? ( app-cdr/cdrtools )
-!system-libschily? ( !app-cdr/cdrtools )
-schilytools_match? (
- !system-star? ( !app-arch/star )
-)
-schilytools_calc? (
- !renameschily_calc? ( !sci-mathematics/calc )
-)
-schilytools_compare? (
- !renameschily_compare? (
- !media-gfx/imagemagick !media-gfx/graphicsmagick[imagemagick]
- )
-)
-schilytools_count? (
- !renameschily_count? ( !sys-devel/llvm )
-)
-schilytools_bosh? (
- !renameschily_jsh? ( !app-shells/heirloom-sh )
-)
-schilytools_man2html? (
- !renameschily_man2html? ( !sys-apps/man )
-)
-schilytools_p? (
- !renameschily_p? ( !dev-util/wiggle )
-)
-schilytools_translit? ( !dev-perl/Lingua-Translit )
-acl? ( virtual/acl )
-caps? ( sys-libs/libcap )
-xattr? ( !amd64-fbsd? ( sys-apps/attr ) )"
-DEPEND="${COMMON}"
-RDEPEND="${COMMON}"
-LICENSE="GPL-2 LGPL-2.1 CDDL-Schily"
-SLOT="0"
-
-pkg_pretend() {
- required-use-warn
-}
-
-# Lot of this code is taken from app-cdr/cdrtools
-
-cdrtools_os() {
- local os="linux"
- [[ ${CHOST} == *-darwin* ]] && os="mac-os10"
- [[ ${CHOST} == *-freebsd* ]] && os="freebsd"
- echo "${os}"
-}
-
-src_schily_prepare() (
- gnuconfig_update
-
- # Remove profiled make files.
- find -name '*_p.mk' -delete || die "delete *_p.mk"
-
- # Adjusting hardcoded paths.
- sed -i -e "s|opt/schily|usr|" \
- $(find ./ -type f -name \*.[0-9ch] -exec grep -l 'opt/schily' '{}' '+') \
- || die "sed opt/schily"
-
- sed -i -e "s|\(^INSDIR=\t\tshare/doc/\)|\1${PF}/|" \
- $(find ./ -type f -exec grep -l '^INSDIR.\+doc' '{}' '+') \
- || die "sed doc"
-
- # Respect libdir.
- sed -i -e "s|\(^INSDIR=\t\t\)lib|\1$(get_libdir)|" \
- $(find ./ -type f -exec grep -l '^INSDIR.\+lib\(/\(siconv\)\?\)\?$' '{}' '+') \
- || die "sed multilib"
-
- # Respect libdir for defaults.smk
- sed -i -e "s|/lib/|/$(get_libdir)/|" \
- smake/Makefile \
- || die "sed multilib for smake"
-
- # Enable verbose build.
- sed -i -e '/@echo.*==>.*;/s:@echo[^;]*;:&set -x;:' \
- RULES/*.rul RULES/rules.prg RULES/rules.inc \
- || die "sed verbose rules"
-
- # Respect CC/CXX variables.
- cd "${S}"/RULES || die
- local tcCC=$(tc-getCC)
- local tcCXX=$(tc-getCXX)
- sed -i -e "/cc-config.sh/s|\$(C_ARCH:%64=%) \$(CCOM_DEF)|${tcCC} ${tcCC}|" \
- rules1.top || die "sed rules1.top"
- # -e "s|^\(DEFCCOM_DEF=\).*|\1\t${tcCC}|" \
- sed -i -e "/^CC_COM_DEF=/s|gcc|${tcCC}|" \
- -e "/^CC++_COM_DEF=/s|g[+][+]|${tcCXX}|" \
- -e "/COPTOPT=/s|-O||" \
- -e 's|[$][(]GCCOPTOPT[)]||' \
- -e 's|[$][(]GCC_OPTXX[)]||' \
- cc-gcc.rul || die "sed cc-gcc.rul"
- sed -i -e "/^CC_COM_DEF=/s|clang|${tcCC}|" \
- -e "/^CC++_COM_DEF=/s|clang[+][+]|${tcCXX}|" \
- -e "/COPTOPT=/s|-O||" \
- -e 's|[$][(]CLANGOPTXX[)]||' \
- cc-clang.rul || die "sed cc-gcc.rul"
- sed -i -e "s|^#\(CONFFLAGS +=\).*|\1\t-cc=${tcCC}|" \
- rules.cnf || die "sed rules.cnf"
-
- # Schily make setup.
- cd "${S}"/DEFAULTS || die
- local os=$(cdrtools_os)
-
- sed -i \
- -e "s|^\(DEFLINKMODE=\).*|\1\tdynamic|" \
- -e "s|^\(LINUX_INCL_PATH=\).*|\1|" \
- -e "s|^\(LDPATH=\).*|\1|" \
- -e "s|^\(RUNPATH=\).*|\1|" \
- -e "s|^\(INS_BASE=\).*|\1\t${ED}/usr|" \
- -e "s|^\(INS_RBASE=\).*|\1\t${ED}|" \
- -e "s|^\(DEFINSGRP=\).*|\1\t0|" \
- -e "s|^\(DEFCCOM=\).*|\1\t${tcCC}|" \
- -e '/^DEFUMASK/s,002,022,g' \
- Defaults.${os} || die "sed Schily make setup"
-)
-
-targets=""
-
-targets() {
- local i
- for i
- do case " ${targets} " in
- *" ${i} "*)
- continue;;
- esac
- mv -v UNUSED_TARGETS/??"${i}" TARGETS || die
- targets=${targets}${targets:+\ }${i}
- done
-}
-
-src_prepare() {
- default
- filter-flags -fPIE -pie '-flto*' -fwhole-program -fno-common
- append-cflags $(test-flags-CC -fno-strict-overflow)
- src_schily_prepare
- sed -i -e '1s!man1/sh\.1!man1/bosh.1!' -- "${S}/sh/"{jsh,pfsh}.1 || die
- sed -i \
- -e '/-DDO_POSIX_SH/s/^[#]//' \
- -e '/-DDO_POSIX_PATH/s/^/\#/' \
- -e '/[+][=] -DPOSIX_BOSH_PATH/iCPPOPTS += -DPOSIX_BOSH_PATH=\\"'"${EPREFIX}"'/bin/sh\\"' \
- -- "${S}/sh/"Makefile || die
- mkdir UNUSED_TARGETS || die
- mv TARGETS/[0-9][0-9]* UNUSED_TARGETS || die
- targets inc
- use system-libschily || targets include libschily libfind
- ! use schilytools_bosh || targets sh libxtermcap libshedit libgetopt
- ! use schilytools_calc || targets calc
- ! use schilytools_calltree || targets calltree
- ! use schilytools_change || targets change
-# nonexistent:
-# ! use schilytools_cmd || targets cmd
- ! use schilytools_compare || targets compare
- ! use schilytools_copy || targets copy
- ! use schilytools_count || targets count
- ! use schilytools_cpp || targets cpp
- ! use schilytools_cstyle || targets cstyle
- ! use schilytools_cut || targets cut
- ! use schilytools_hdump || targets hdump
- ! use schilytools_label || targets label
- ! use schilytools_lndir || targets lndir
- ! use schilytools_man2html || targets man2html
- ! use schilytools_manmake || targets man
- ! use schilytools_match || targets match
- ! use schilytools_mdigest || targets mdigest
- ! use schilytools_mountcd || targets mountcd
- ! use schilytools_osh || targets osh libgetopt
- ! use schilytools_p || targets p libxtermcap
- ! use schilytools_paste || targets paste
- ! use schilytools_patch || targets patch
- ! use schilytools_pxupgrade || targets pxupgrade
- ! use schilytools_sccs || targets sccs libgetopt
- ! use schilytools_sfind || targets sfind
- ! use schilytools_smake || targets smake
- ! use schilytools_termcap || targets termcap libxtermcap
- ! use schilytools_translit || targets translit
- ! use schilytools_udiff || targets udiff
- ! use schilytools_ved || targets ved libxtermcap
- default
-}
-
-ac_cv_sizeof() {
- cat <<-EOF >"${T}"/test.c
- #include <inttypes.h>
- #include <stddef.h>
- #include <stdint.h>
- #include <sys/types.h>
- int main () {
- static int test_array [1 - 2 * !((sizeof(TYPE)) == LEN)];
- test_array [0] = 0;
- return test_array [0];
- }
- EOF
-
- local i=1
- while [[ ${i} -lt 20 ]] ; do
- if ${CC} ${CPPFLAGS} ${CFLAGS} -c "${T}"/test.c -o /dev/null -DTYPE="$1" -DLEN=$i 2>/dev/null; then
- echo ${i}
- return 0
- fi
- : $(( i += 1 ))
- done
- return 1
-}
-
-src_configure() {
- use acl || export ac_cv_header_sys_acl_h="no"
- use caps || export ac_cv_lib_cap_cap_get_proc="no"
- use xattr && ! use amd64-bsd || export ac_cv_header_attr_xattr_h="no"
-
- # skip obsolete configure script
- if tc-is-cross-compiler ; then
- # Cache known values for targets. #486680
-
- tc-export CC
- local var val t types=(
- char "short int" int "long int" "long long"
- "unsigned char" "unsigned short int" "unsigned int"
- "unsigned long int" "unsigned long long"
- float double "long double" size_t ssize_t ptrdiff_t
- mode_t uid_t gid_t pid_t dev_t time_t wchar_t
- "char *" "unsigned char *"
- )
- for t in "${types[@]}" ; do
- var="ac_cv_sizeof_${t// /_}"
- var=${var//[*]/p}
- val=$(ac_cv_sizeof "${t}") || die "could not compute ${t}"
- export "${var}=${val}"
- einfo "Computing sizeof(${t}) as ${val}"
- done
- # We don't have these types.
- export ac_cv_sizeof___int64=0
- export ac_cv_sizeof_unsigned___int64=0
- export ac_cv_sizeof_major_t=${ac_cv_sizeof_dev_t}
- export ac_cv_sizeof_minor_t=${ac_cv_sizeof_dev_t}
- export ac_cv_sizeof_wchar=${ac_cv_sizeof_wchar_t}
-
- export ac_cv_type_prototypes="yes"
- export ac_cv_func_mlock{,all}="yes"
- export ac_cv_func_{e,f,g}cvt=$(usex elibc_glibc)
- export ac_cv_func_dtoa_r="no"
- export ac_cv_func_sys_siglist{,_def}="no"
- export ac_cv_func_printf_{j,ll}="yes"
- export ac_cv_realloc_null="yes"
- export ac_cv_no_user_malloc="no"
- export ac_cv_var_timezone="yes"
- export ac_cv_var___progname{,_full}="yes"
- export ac_cv_fnmatch_igncase="yes"
- export ac_cv_file__dev_{fd_{0,1,2},null,std{err,in,out},tty,zero}="yes"
- export ac_cv_file__usr_src_linux_include="no"
-
- case $(cdrtools_os) in
- linux)
- export ac_cv_func_bsd_{g,s}etpgrp="no"
- export ac_cv_hard_symlinks="yes"
- export ac_cv_link_nofollow="yes"
- export ac_cv_access_e_ok="no"
-
- export ac_cv_dev_minor_noncontig="yes"
- case ${ac_cv_sizeof_long_int} in
- 4) export ac_cv_dev_minor_bits="32";;
- 8) export ac_cv_dev_minor_bits="44";;
- esac
-
- cat <<-EOF >"${T}"/test.c
- struct {
- char start[6];
- unsigned char x1:4;
- unsigned char x2:4;
- char end[5];
- } a = {
- .start = {'S', 't', 'A', 'r', 'T', '_'},
- .x1 = 5,
- .x2 = 4,
- .end = {'_', 'e', 'N', 'd', 'X'},
- };
- EOF
- ${CC} ${CPPFLAGS} ${CFLAGS} -c "${T}"/test.c -o "${T}"/test.o
- if grep -q 'StArT_E_eNdX' "${T}"/test.o ; then
- export ac_cv_c_bitfields_htol="no"
- elif grep -q 'StArT_T_eNdX' "${T}"/test.o ; then
- export ac_cv_c_bitfields_htol="yes"
- fi
- ;;
- esac
- fi
- cd psmake || die
-}
-
-src_compile() {
- emake -j1 CPPOPTX="${CPPFLAGS}" COPTX="${CFLAGS}" C++OPTX="${CXXFLAGS}" \
- LDOPTX="${LDFLAGS}" GMAKE_NOWARN="true"
-}
-
-mustnothave() {
- local i
- for i
- do test -r "${ED}${i}" && die "${ED}${i} must not exist"
- done
-}
-
-mustremove() {
- local i
- for i
- do test -r "${ED}${i}" && rm -v -- "${ED}${i}" || \
- die "cannot remove ${ED}${i}"
- done
-}
-
-src_install() {
- ! use doc || dodoc -r Schily.Copyright README.SSPM PORTING CONTRIBUTING \
- AN-????-??-?? ANNOUNCEMENTS
- emake -j1 CPPOPTX="${CPPFLAGS}" COPTX="${CFLAGS}" C++OPTX="${CXXFLAGS}" \
- LDOPTX="${LDFLAGS}" GMAKE_NOWARN="true" install
- if ! use static-libs
- then find "${ED}" -name '*.a' -delete || die
- ! test -d "${ED}"/usr/include || rm -rfv -- "${ED}"/usr/include || die
- fi
- if use schilytools_sccs
- then mv -v "${ED}"/usr/share/man/man1/{,sccs-}diff.1 || die
- else ! test -d "${ED}"/usr/ccs || rm -rfv -- "${ED}"/usr/ccs || die
- mustnothave /usr/share/man/man1/diff.1
- fi
- if use schilytools_hdump
- then mustremove /usr/bin/od /usr/share/man/man1/od.1
- else mustnothave /usr/bin/od /usr/share/man/man1/od.1
- fi
- if use schilytools_patch
- then mustremove /usr/share/man/man1/patch.1
- else mustnothave /usr/share/man/man1/patch.1
- fi
- if use schilytools_bosh
- then dodir bin || die
- rm -v "${ED}"/usr/bin/{bo,j,pf}sh \
- "${ED}"/usr/share/man/man1/bosh.1 || die
- rm -rfv "${ED}"/usr/xpg4 || die
- mv -v -- "${ED}"/{usr/bin/sh,bin/bosh} || die
- ln -s -- bosh "${ED}"/bin/jsh || die
- ln -s -- bosh "${ED}"/bin/pfsh || die
- mv -v -- "${ED}"/usr/share/man/man1/{,bo}sh.1 || die
- if use renameschily_jsh
- then mv -v -- "${ED}"/bin/{,s}jsh || die
- mv -v -- "${ED}"/usr/share/man/man1/{,s}jsh.1 || die
- fi
- fi
- if use schilytools_match && use system-star
- then rm -v -- "${ED}"/usr/share/man/man1/match.1 || die
- fi
- if use schilytools_calc && use renameschily_calc
- then mv -v -- "${ED}"/usr/bin/{,s}calc || die
- mv -v -- "${ED}"/usr/share/man/man1/{,s}calc.1 || die
- fi
- if use schilytools_compare && use renameschily_compare
- then mv -v -- "${ED}"/usr/bin/{,s}compare || die
- mv -v -- "${ED}"/usr/share/man/man1/{,s}compare.1 || die
- fi
- if use schilytools_count && use renameschily_count
- then mv -v -- "${ED}"/usr/bin/{,s}count || die
- mv -v -- "${ED}"/usr/share/man/man1/{,s}count.1 || die
- fi
- if use schilytools_man2html && use renameschily_man2html
- then mv -v -- "${ED}"/usr/bin/{,s}man2html || die
- mv -v -- "${ED}"/usr/share/man/man1/{,s}man2html.1 || die
- fi
- if use schilytools_p && use renameschily_p
- then mv -v -- "${ED}"/usr/bin/{,s}p || die
- mv -v -- "${ED}"/usr/share/man/man1/{,s}p.1 || die
- fi
- if use schilytools_ved
- then docompress -x /usr/share/man/help
- fi
-}
diff --git a/app-shells/schily-tools/schily-tools-2018.05.17.ebuild b/app-shells/schily-tools/schily-tools-2018.05.17.ebuild
index 7246aaff..1f52e262 100644
--- a/app-shells/schily-tools/schily-tools-2018.05.17.ebuild
+++ b/app-shells/schily-tools/schily-tools-2018.05.17.ebuild
@@ -3,7 +3,7 @@
EAPI=7
RESTRICT="mirror"
-inherit flag-o-matic gnuconfig required-use-warn toolchain-funcs
+inherit fcaps flag-o-matic gnuconfig required-use-warn toolchain-funcs
MY_PV=${PV//./-}
MY_P="schily-${MY_PV}"
@@ -14,8 +14,7 @@ SRC_URI="mirror://sourceforge/schilytools/${MY_P}.tar.bz2"
DESCRIPTION="Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell"
HOMEPAGE="https://sourceforge.net/projects/schilytools/"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
-IUSE="acl caps doc system-libschily system-star xattr"
-REQUIRED_USE="!system-libschily"
+IUSE="acl caps doc nls suid unicode xattr"
REQUIRED_USE_WARN="amd64-fbsd? ( !xattr )"
add_iuse_expand() {
@@ -33,20 +32,15 @@ add_iuse_expand() {
}
add_iuse_expand renameschily \
+calc +compare +count +jsh +libschily +man2html +p
-add_iuse_expand schilytools \
- +bosh +calc +calltree +change +compare +copy +count +cpp +cstyle +cut \
+add_iuse_expand schilytools +bosh +calc +calltree +cdrtools \
+ +change +compare +copy +count +cpp +cstyle +cut \
+hdump label +lndir +man2html manmake +match +mdigest mountcd osh \
- +p +paste +patch pxupgrade +sccs +sfind +smake \
+ +p +paste +patch pxupgrade +sccs +sfind +smake +star \
+termcap +translit +udiff +ved
-COMMON="system-libschily? ( app-cdr/cdrtools )
-!system-libschily? ( !app-cdr/cdrtools[-schily-tools(-)] )
-!system-libschily? (
- !renameschily_libschily? ( !sys-apps/man )
-)
-schilytools_match? (
- !system-star? ( !app-arch/star )
-)
+COMMON="!!app-cdr/cdrtools[-schily-tools(-)]
+!!app-arch/star
+!renameschily_libschily? ( !sys-apps/man )
schilytools_calc? (
!renameschily_calc? ( !sci-mathematics/calc )
)
@@ -70,9 +64,11 @@ schilytools_p? (
schilytools_translit? ( !dev-perl/Lingua-Translit )
acl? ( virtual/acl )
caps? ( sys-libs/libcap )
+nls? ( virtual/libintl )
!amd64-fbsd? ( xattr? ( sys-apps/attr ) )"
DEPEND="${COMMON}"
RDEPEND="${COMMON}"
+BDEPEND="nls? ( >=sys-devel/gettext-0.18.1.1 )"
LICENSE="GPL-2 LGPL-2.1 CDDL-Schily"
SLOT="0"
@@ -82,6 +78,12 @@ pkg_pretend() {
# Lot of this code is taken from app-cdr/cdrtools
+FILECAPS=(
+ cap_sys_resource,cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_ipc_lock,cap_sys_rawio+ep usr/bin/cdrecord --
+ cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_sys_rawio+ep usr/bin/cdda2wav --
+ cap_dac_override,cap_sys_admin,cap_net_bind_service,cap_sys_rawio+ep usr/bin/readcd
+)
+
cdrtools_os() {
local os="linux"
[[ ${CHOST} == *-darwin* ]] && os="mac-os10"
@@ -92,6 +94,12 @@ cdrtools_os() {
src_schily_prepare() (
gnuconfig_update
+ # This fixes a clash with clone() on uclibc. Upstream isn't
+ # going to include this so let's try to carry it forward.
+ # Contact me if it needs updating. Bug #486782.
+ # Anthony G. Basile <blueness@gentoo.org>.
+ use elibc_uclibc && eapply "${FILESDIR}"/${PN}-fix-clone-uclibc.patch
+
# Remove profiled make files.
find -name '*_p.mk' -delete || die "delete *_p.mk"
@@ -136,7 +144,7 @@ src_schily_prepare() (
-e "/^CC++_COM_DEF=/s|clang[+][+]|${tcCXX}|" \
-e "/COPTOPT=/s|-O||" \
-e 's|[$][(]CLANGOPTXX[)]||' \
- cc-clang.rul || die "sed cc-gcc.rul"
+ cc-clang.rul || die "sed cc-clang.rul"
sed -i -e "s|^#\(CONFFLAGS +=\).*|\1\t-cc=${tcCC}|" \
rules.cnf || die "sed rules.cnf"
@@ -155,6 +163,11 @@ src_schily_prepare() (
-e "s|^\(DEFCCOM=\).*|\1\t${tcCC}|" \
-e '/^DEFUMASK/s,002,022,g' \
Defaults.${os} || die "sed Schily make setup"
+ # re DEFUMASK above:
+ # bug 486680: grsec TPE will block the exec if the directory is
+ # group-writable. This is painful with cdrtools, because it makes a bunch of
+ # group-writable directories during build. Change the umask on their
+ # creation to prevent this.
)
targets=""
@@ -184,12 +197,18 @@ src_prepare() {
mkdir UNUSED_TARGETS || die
mv TARGETS/[0-9][0-9]* UNUSED_TARGETS || die
targets inc libfind
- # use system-libschily || \
- targets include libschily libmdigest
+ targets include libschily libmdigest
! use schilytools_bosh || targets sh libxtermcap libshedit libgetopt
! use schilytools_calc || targets calc
! use schilytools_calltree || targets calltree
! use schilytools_change || targets change
+ if use schilytools_cdrtools; then
+ targets btcflash cdda2wav cdrecord mkisofs 'mkisofs!@!diag' \
+ libdeflt libscg 'libscg!@!scg' \
+ readcd rscsi scgcheck scgskeleton \
+ libcdrdeflt libedc libfile libhfs_iso libparanoia \
+ librscg libscgcmd libsiconv 'libsiconv!@!tables'
+ fi
# nonexistent:
# ! use schilytools_cmd || targets cmd
! use schilytools_compare || targets compare
@@ -214,6 +233,7 @@ src_prepare() {
! use schilytools_sccs || targets sccs libgetopt
! use schilytools_sfind || targets sfind
! use schilytools_smake || targets smake
+ ! use schilytools_star || targets mt rmt star star_sym tartest librmt
! use schilytools_termcap || targets termcap libxtermcap
! use schilytools_translit || targets translit
! use schilytools_udiff || targets udiff
@@ -249,6 +269,7 @@ src_configure() {
use acl || export ac_cv_header_sys_acl_h="no"
use caps || export ac_cv_lib_cap_cap_get_proc="no"
use xattr || export ac_cv_header_attr_xattr_h="no"
+ export ac_cv_header_pulse_pulseaudio_h="no"
# skip obsolete configure script
if tc-is-cross-compiler ; then
@@ -326,25 +347,41 @@ src_configure() {
;;
esac
fi
- cd psmake || die
}
src_compile() {
- emake -j1 CPPOPTX="${CPPFLAGS}" COPTX="${CFLAGS}" C++OPTX="${CXXFLAGS}" \
+ if use unicode; then
+ local flags="$(test-flags -finput-charset=ISO-8859-1 -fexec-charset=UTF-8)"
+ if [[ -n ${flags} ]]; then
+ append-flags ${flags}
+ else
+ ewarn "Your compiler does not support the options required to build"
+ ewarn "cdrtools with unicode in USE. unicode flag will be ignored."
+ fi
+ fi
+ emake CPPOPTX="${CPPFLAGS}" COPTX="${CFLAGS}" C++OPTX="${CXXFLAGS}" \
LDOPTX="${LDFLAGS}" GMAKE_NOWARN="true"
}
mustnothave() {
local i
- for i
- do test -r "${ED}${i}" && die "${ED}${i} must not exist"
+ for i; do
+ test -r "${ED}${i}" && die "${ED}${i} must not exist"
done
}
mustremove() {
local i
- for i
- do test -r "${ED}${i}" && rm -v -- "${ED}${i}" || \
+ for i; do
+ test -r "${ED}${i}" && rm -v -- "${ED}${i}" || \
+ die "cannot remove ${ED}${i}"
+ done
+}
+
+removedirs() {
+ local i
+ for i; do
+ ! test -d "${ED}${i}" || rm -rfv -- "${ED}${i}" || \
die "cannot remove ${ED}${i}"
done
}
@@ -352,26 +389,48 @@ mustremove() {
src_install() {
local i
! use doc || dodoc -r Schily.Copyright README.SSPM PORTING CONTRIBUTING \
- AN-????-??-?? ANNOUNCEMENTS
- emake -j1 CPPOPTX="${CPPFLAGS}" COPTX="${CFLAGS}" C++OPTX="${CXXFLAGS}" \
+ AN-????-??-?? ANNOUNCEMENTS READMEs/README.linux
+ emake CPPOPTX="${CPPFLAGS}" COPTX="${CFLAGS}" C++OPTX="${CXXFLAGS}" \
LDOPTX="${LDFLAGS}" GMAKE_NOWARN="true" install
find "${ED}" '(' -name '*.a' '-o' -name '*.so' ')' -delete || die
- ! test -d "${ED}"/usr/include || rm -rfv -- "${ED}"/usr/include || die
- if use schilytools_sccs
- then mv -v "${ED}"/usr/share/man/man1/{,sccs-}diff.1 || die
- else ! test -d "${ED}"/usr/ccs || rm -rfv -- "${ED}"/usr/ccs || die
+ use suid || find "$ED" -perm /4000 -exec chmod -v -- -s '{}' '+' || die
+ if use schilytools_cdrtools; then
+ # These symlinks are for compat with cdrkit.
+ dosym schily /usr/include/scsilib
+ dosym ../scg /usr/include/schily/scg
+
+ cd "${S}"/cdda2wav || die
+ docinto cdda2wav
+ dodoc Changelog FAQ Frontends HOWTOUSE NEEDED README THANKS TODO
+
+ cd "${S}"/mkisofs || die
+ docinto mkisofs
+ dodoc ChangeLog* TODO
+ fi
+ removedirs /usr/include
+ if use schilytools_star; then
+ removedirs /usr/share/doc/star || die
+ mustremove /usr/bin/{gnu,}tar
+ mv -i "${ED}"/usr/sbin/rmt{,.star} || die
+ fi
+ if use schilytools_sccs; then
+ mv -v "${ED}"/usr/share/man/man1/{,sccs-}diff.1 || die
+ else
+ ! test -d "${ED}"/usr/ccs || rm -rfv -- "${ED}"/usr/ccs || die
mustnothave /usr/share/man/man1/diff.1
fi
- if use schilytools_hdump
- then mustremove /usr/bin/od /usr/share/man/man1/od.1
- else mustnothave /usr/bin/od /usr/share/man/man1/od.1
+ if use schilytools_hdump; then
+ mustremove /usr/bin/od /usr/share/man/man1/od.1
+ else
+ mustnothave /usr/bin/od /usr/share/man/man1/od.1
fi
- if use schilytools_patch
- then mustremove /usr/share/man/man1/patch.1
- else mustnothave /usr/share/man/man1/patch.1
+ if use schilytools_patch; then
+ mustremove /usr/share/man/man1/patch.1
+ else
+ mustnothave /usr/share/man/man1/patch.1
fi
- if use schilytools_bosh
- then dodir bin || die
+ if use schilytools_bosh; then
+ dodir bin || die
rm -v "${ED}"/usr/bin/{bo,j,pf}sh \
"${ED}"/usr/share/man/man1/bosh.1 || die
rm -rfv "${ED}"/usr/xpg4 || die
@@ -379,40 +438,52 @@ src_install() {
ln -s -- bosh "${ED}"/bin/jsh || die
ln -s -- bosh "${ED}"/bin/pfsh || die
mv -v -- "${ED}"/usr/share/man/man1/{,bo}sh.1 || die
- if use renameschily_jsh
- then mv -v -- "${ED}"/bin/{,s}jsh || die
+ if use renameschily_jsh; then
+ mv -v -- "${ED}"/bin/{,s}jsh || die
mv -v -- "${ED}"/usr/share/man/man1/{,s}jsh.1 || die
fi
fi
- if use schilytools_match && use system-star
- then rm -v -- "${ED}"/usr/share/man/man1/match.1 || die
- fi
- if use schilytools_calc && use renameschily_calc
- then mv -v -- "${ED}"/usr/bin/{,s}calc || die
+ if use schilytools_calc && use renameschily_calc; then
+ mv -v -- "${ED}"/usr/bin/{,s}calc || die
mv -v -- "${ED}"/usr/share/man/man1/{,s}calc.1 || die
fi
- if use schilytools_compare && use renameschily_compare
- then mv -v -- "${ED}"/usr/bin/{,s}compare || die
+ if use schilytools_compare && use renameschily_compare; then
+ mv -v -- "${ED}"/usr/bin/{,s}compare || die
mv -v -- "${ED}"/usr/share/man/man1/{,s}compare.1 || die
fi
- if use schilytools_count && use renameschily_count
- then mv -v -- "${ED}"/usr/bin/{,s}count || die
+ if use schilytools_count && use renameschily_count; then
+ mv -v -- "${ED}"/usr/bin/{,s}count || die
mv -v -- "${ED}"/usr/share/man/man1/{,s}count.1 || die
fi
- if use schilytools_man2html && use renameschily_man2html
- then mv -v -- "${ED}"/usr/bin/{,s}man2html || die
+ if use schilytools_man2html && use renameschily_man2html; then
+ mv -v -- "${ED}"/usr/bin/{,s}man2html || die
mv -v -- "${ED}"/usr/share/man/man1/{,s}man2html.1 || die
fi
- if use schilytools_p && use renameschily_p
- then mv -v -- "${ED}"/usr/bin/{,s}p || die
+ if use schilytools_p && use renameschily_p; then
+ mv -v -- "${ED}"/usr/bin/{,s}p || die
mv -v -- "${ED}"/usr/share/man/man1/{,s}p.1 || die
fi
- if use schilytools_ved
- then docompress -x /usr/share/man/help
+ if use schilytools_ved; then
+ docompress -x /usr/share/man/help
fi
- if use renameschily_libschily && ! use system-libschily
- then for i in error fexecve fnmatch getline {,f,s}printf strlen
+ if use renameschily_libschily; then
+ for i in error fexecve fnmatch getline {,f,s}printf strlen
do mv -v -- "${ED}"/usr/share/man/man3/{,schily-}${i}.3 || die
done
fi
}
+
+pkg_postinst() {
+ use schilytools_cdrtools || return 0
+ fcaps_pkg_postinst
+
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ einfo
+ einfo "Darwin/OS X use the following device names:"
+ einfo
+ einfo "CD burners: (probably) ./cdrecord dev=IOCompactDiscServices"
+ einfo
+ einfo "DVD burners: (probably) ./cdrecord dev=IODVDServices"
+ einfo
+ fi
+}
diff --git a/app-text/lesspipe/lesspipe-1.83-r1.ebuild b/app-text/lesspipe/lesspipe-1.83-r2.ebuild
index 36d2dfa3..a6697496 100644
--- a/app-text/lesspipe/lesspipe-1.83-r1.ebuild
+++ b/app-text/lesspipe/lesspipe-1.83-r2.ebuild
@@ -111,7 +111,7 @@ BOTH_DEPEND="sys-apps/file
)
)
image? ( virtual/imagemagick-tools )
- isoinfo? ( || ( app-cdr/cdrtools app-cdr/dvd+rw-tools ) )
+ isoinfo? ( || ( virtual/cdrtools app-cdr/dvd+rw-tools ) )
libplist? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-pda/libplist ) ) ) ) )
dpkg? ( !amd64-fbsd? ( app-arch/dpkg ) )
hdf5? ( !amd64-fbsd? ( !hppa? ( sci-libs/hdf5 ) ) )
diff --git a/app-text/lesspipe/lesspipe-1.84_alpha20180414-r1.ebuild b/app-text/lesspipe/lesspipe-1.84_alpha20180414-r2.ebuild
index 0a6ffc9a..abed6b2a 100644
--- a/app-text/lesspipe/lesspipe-1.84_alpha20180414-r1.ebuild
+++ b/app-text/lesspipe/lesspipe-1.84_alpha20180414-r2.ebuild
@@ -121,7 +121,7 @@ BOTH_DEPEND="sys-apps/file
)
)
image? ( virtual/imagemagick-tools )
- isoinfo? ( || ( app-cdr/cdrtools app-cdr/dvd+rw-tools ) )
+ isoinfo? ( || ( virtual/cdrtools app-cdr/dvd+rw-tools ) )
libplist? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-pda/libplist ) ) ) ) )
dpkg? ( !amd64-fbsd? ( app-arch/dpkg ) )
hdf5? ( !amd64-fbsd? ( !hppa? ( sci-libs/hdf5 ) ) )
diff --git a/app-text/lesspipe/lesspipe-99999999.ebuild b/app-text/lesspipe/lesspipe-99999999.ebuild
index 0a6ffc9a..abed6b2a 100644
--- a/app-text/lesspipe/lesspipe-99999999.ebuild
+++ b/app-text/lesspipe/lesspipe-99999999.ebuild
@@ -121,7 +121,7 @@ BOTH_DEPEND="sys-apps/file
)
)
image? ( virtual/imagemagick-tools )
- isoinfo? ( || ( app-cdr/cdrtools app-cdr/dvd+rw-tools ) )
+ isoinfo? ( || ( virtual/cdrtools app-cdr/dvd+rw-tools ) )
libplist? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-pda/libplist ) ) ) ) )
dpkg? ( !amd64-fbsd? ( app-arch/dpkg ) )
hdf5? ( !amd64-fbsd? ( !hppa? ( sci-libs/hdf5 ) ) )
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 025e7987..ebce65b0 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -4,7 +4,7 @@ app-admin/sudox 9.0.1: wrapper for sudo which can pass X authority data and deal
app-arch/archwrap 11.1: A collection of POSIX shell scripts to invoke archiver programs
app-arch/bzwc 5.0: A POSIX shell wrapper for wc, supporting compressed files (xz, lzma, bz2, gz)
app-arch/paq8l 20070308: Open source file compressor and archiver
-app-cdr/cdrtools 3.02_alpha09-r1: A set of tools for CD/DVD reading and recording, including cdrecord
+app-cdr/cdrtools 99999999: A set of tools for CD/DVD reading and recording, including cdrecord
app-dicts/ispell-de 20161207: German and Swiss dictionaries for ispell
app-dicts/ispell-de-alt 2-r1: German dictionary (traditional orthography) for ispell
app-dicts/stardict-dictd-BritannicaConcise 2.4.2: Stardict Dictionary for Dictd.org's The Britannica Concise Encyclopedia
@@ -38,13 +38,13 @@ app-shells/oh-my-zsh 99999999: A ready-to-use zsh configuration with plugins
app-shells/push 3.1: A POSIX shell function to treat a variable like an array, quoting args
app-shells/quoter 4.1: Quote arguments or standard input for usage in POSIX shell by eval
app-shells/runtitle 2.10: Scripts to run commands and set the hard status line (windows title)
-app-shells/schily-tools 2017.09.25 2018.05.17: Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell
+app-shells/schily-tools 2018.05.17: Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell
app-shells/set_prompt 3.0.0: An intelligent prompt for zsh or bash with status line (window title) support
app-shells/termcolors-mv 4.7: 256colors sample script and dircolors configuration for standard or 256 colors
app-shells/zsh-syntax-highlighting 0.6.0 0.6.1_alpha20180411 99999999: Fish shell like syntax highlighting for zsh
app-shells/zshrc-mv 3.11: A zshrc file initializing zsh specific interactive features
app-text/ispell 3.3.02-r1 3.4.00: fast screen-oriented spelling checker
-app-text/lesspipe 1.83-r1 1.84_alpha20180414-r1 99999999: Wolfgang Friebel's preprocessor for sys-apps/less. Disable by appending colon
+app-text/lesspipe 1.83-r2 1.84_alpha20180414-r2 99999999: Wolfgang Friebel's preprocessor for sys-apps/less. Disable by appending colon
app-text/mbtpdfasm 1.0.28-r1: Tool to assemble/merge, extract information from, and update the metadata in PDF
app-text/psjoin 0.3: concatenate postscript files. From new PostScript Utilities
app-text/stardict 3.0.6-r4 4.0.0_pre20160518-r2: A international dictionary supporting fuzzy and glob style matching
@@ -105,6 +105,7 @@ sys-fs/squashmount 16.1.0 19.0.2: Keep directories compressed with squashfs. Use
sys-kernel/kccmp 0.3-r1: A simple tool for comparing two linux kernel .config files
sys-kernel/kernel 4.5: A POSIX shell script to compile the kernel with user permissions
sys-power/nut 2.7.4-r1: Network-UPS Tools
+virtual/cdrtools 1: Virtual for command-line recorders cdrtools and cdrkit
virtual/freedesktop-icon-theme 0-r3: A virtual to choose between different icon themes
www-plugins/bookmark-dupes 5.7: Firefox webextension: remove duplicate bookmarks/empty folders/descriptions
www-plugins/calc-extension 5.1: Firefox webextension: calculate values of mathematical expressions
diff --git a/profiles/use.local.desc b/profiles/use.local.desc
index b096dec9..c48d520f 100644
--- a/profiles/use.local.desc
+++ b/profiles/use.local.desc
@@ -34,6 +34,7 @@ app-shells/schily-tools:renameschily_p - Rename p to sp for compatibility with d
app-shells/schily-tools:schilytools_bosh - Install bosh, a shell which aims to be fully POSIX compatible
app-shells/schily-tools:schilytools_calc - Install calc, a bc clone
app-shells/schily-tools:schilytools_calltree - Install calltree, a cflow clone
+app-shells/schily-tools:schilytools_cdrtools - Install programs provided by app-cdr/cdrtools
app-shells/schily-tools:schilytools_change - Install change, a program to change patterns in files
app-shells/schily-tools:schilytools_compare - Install compare, a cmp clone
app-shells/schily-tools:schilytools_copy - Install copy, a cp clone
@@ -57,12 +58,12 @@ app-shells/schily-tools:schilytools_pxupgrade - Install pxupgrade: upgrading fir
app-shells/schily-tools:schilytools_sccs - Install sfind, a source code control system
app-shells/schily-tools:schilytools_sfind - Install sfind, a find clone
app-shells/schily-tools:schilytools_smake - Install smake, a make clone
+app-shells/schily-tools:schilytools_star - Install programs provided by app-arch/star
app-shells/schily-tools:schilytools_termcap - Install termcap, a termcap compiler
app-shells/schily-tools:schilytools_translit - Install translit, a tr clone
app-shells/schily-tools:schilytools_udiff - Install udiff, a diff clone
app-shells/schily-tools:schilytools_ved - Install ved, a visual editor with features from vi and emacs
-app-shells/schily-tools:system-libschily - Rely on app-cdr/cdrtools for providing libschily
-app-shells/schily-tools:system-star - Rely on app-arch/star for the match manpage
+app-shells/schily-tools:suid - Install rscsi as SUID root
app-shells/termcolors-mv:create - Install DIR_COLORS-create perl script
app-shells/termcolors-mv:perl - Install 256colors perl script
app-shells/termcolors-mv:poor - Install poor man's variant which does not require coreutils-8.25 or newer
diff --git a/virtual/cdrtools/cdrtools-1.ebuild b/virtual/cdrtools/cdrtools-1.ebuild
new file mode 100644
index 00000000..28d101c2
--- /dev/null
+++ b/virtual/cdrtools/cdrtools-1.ebuild
@@ -0,0 +1,10 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Virtual for command-line recorders cdrtools and cdrkit"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+RDEPEND="|| ( app-shells/schily-tools[schilytools_cdrtools] app-cdr/cdrtools )"
diff --git a/virtual/cdrtools/metadata.xml b/virtual/cdrtools/metadata.xml
new file mode 100644
index 00000000..b919c846
--- /dev/null
+++ b/virtual/cdrtools/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+</pkgmetadata>